%define upstream_name    WWW-Mechanize-GZip
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Tries to fetch webpages with gzip-compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildArch:  noarch

%description
The WWW::Mechanize::GZip module tries to fetch a URL by
requesting gzip-compression from the web server.

If the response contains a header with 'Content-Encoding: gzip', it
decompresses the response in order to get the original (uncompressed)
content.

This module will help to reduce bandwidth fetching webpages, if supported by
the web server. If the web server does not support gzip-compression, no
decompression will be made.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/WWW/


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.140.0-5.mga10
+ Revision: 2204802
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.140.0-4.mga9
+ Revision: 1810566
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-3.mga8
+ Revision: 1506944
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-2.mga7
+ Revision: 1287276
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.140.0-1.mga7
+ Revision: 1254051
- update to 0.14

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-8.mga6
+ Revision: 1035755
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.120.0-7.mga6
+ Revision: 930679
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 746700
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-5.mga5
+ Revision: 732618
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 686845
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 515908
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 374736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 37225
- mageia rebuild
- cleaning spec file
- imported package perl-WWW-Mechanize-GZip


* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 541158
- import perl-WWW-Mechanize-GZip


* Fri Apr 30 2010 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
